package org.osgeo.mapguide;


/**
 * Defines the various coordinate system unit codes
 *
 */
public class MgCoordinateSystemUnitCode
{
   
/**
 * Meter
 *
 */

   public static final int Meter = 1 ; 
   
/**
 * Foot
 *
 */

   public static final int Foot = 2 ; 
   
/**
 * Inch
 *
 */

   public static final int Inch = 3 ; 
   
/**
 * IFoot
 *
 */

   public static final int IFoot = 4 ; 
   
/**
 * ClarkeFoot
 *
 */

   public static final int ClarkeFoot = 5 ; 
   
/**
 * IInch
 *
 */

   public static final int IInch = 6 ; 
   
/**
 * Centimeter
 *
 */

   public static final int Centimeter = 7 ; 
   
/**
 * Kilometer
 *
 */

   public static final int Kilometer = 8 ; 
   
/**
 * Yard
 *
 */

   public static final int Yard = 9 ; 
   
/**
 * SearsYard
 *
 */

   public static final int SearsYard = 10 ; 
   
/**
 * Mile
 *
 */

   public static final int Mile = 11 ; 
   
/**
 * IYard
 *
 */

   public static final int IYard = 12 ; 
   
/**
 * IMile
 *
 */

   public static final int IMile = 13 ; 
   
/**
 * Knot
 *
 */

   public static final int Knot = 14 ; 
   
/**
 * NautM
 *
 */

   public static final int NautM = 15 ; 
   
/**
 * Lat66
 *
 */

   public static final int Lat66 = 16 ; 
   
/**
 * Lat83
 *
 */

   public static final int Lat83 = 17 ; 
   
/**
 * Decimeter
 *
 */

   public static final int Decimeter = 18 ; 
   
/**
 * Millimeter
 *
 */

   public static final int Millimeter = 19 ; 
   
/**
 * Dekameter
 *
 */

   public static final int Dekameter = 20 ; 
   
/**
 * Hectometer
 *
 */

   public static final int Hectometer = 21 ; 
   
/**
 * GermanMeter
 *
 */

   public static final int GermanMeter = 22 ; 
   
/**
 * CaGrid
 *
 */

   public static final int CaGrid = 23 ; 
   
/**
 * ClarkeChain
 *
 */

   public static final int ClarkeChain = 24 ; 
   
/**
 * GunterChain
 *
 */

   public static final int GunterChain = 25 ; 
   
/**
 * BenoitChain
 *
 */

   public static final int BenoitChain = 26 ; 
   
/**
 * SearsChain
 *
 */

   public static final int SearsChain = 27 ; 
   
/**
 * ClarkeLink
 *
 */

   public static final int ClarkeLink = 28 ; 
   
/**
 * GunterLink
 *
 */

   public static final int GunterLink = 29 ; 
   
/**
 * BenoitLink
 *
 */

   public static final int BenoitLink = 30 ; 
   
/**
 * SearsLink
 *
 */

   public static final int SearsLink = 31 ; 
   
/**
 * Rod
 *
 */

   public static final int Rod = 32 ; 
   
/**
 * Perch
 *
 */

   public static final int Perch = 33 ; 
   
/**
 * Pole
 *
 */

   public static final int Pole = 34 ; 
   
/**
 * Furlong
 *
 */

   public static final int Furlong = 35 ; 
   
/**
 * Rood
 *
 */

   public static final int Rood = 36 ; 
   
/**
 * CapeFoot
 *
 */

   public static final int CapeFoot = 37 ; 
   
/**
 * Brealey
 *
 */

   public static final int Brealey = 38 ; 
   
/**
 * SearsFoot
 *
 */

   public static final int SearsFoot = 39 ; 
   
/**
 * GoldCoastFoot
 *
 */

   public static final int GoldCoastFoot = 40 ; 
   
/**
 * MicroInch
 *
 */

   public static final int MicroInch = 41 ; 
   
/**
 * IndianYard
 *
 */

   public static final int IndianYard = 42 ; 
   
/**
 * IndianFoot
 *
 */

   public static final int IndianFoot = 43 ; 
   
/**
 * IndianFt37
 *
 */

   public static final int IndianFt37 = 44 ; 
   
/**
 * IndianFt62
 *
 */

   public static final int IndianFt62 = 45 ; 
   
/**
 * IndianFt75
 *
 */

   public static final int IndianFt75 = 46 ; 
   
/**
 * IndianYd37
 *
 */

   public static final int IndianYd37 = 47 ; 
   
/**
 * Decameter
 *
 */

   public static final int Decameter = 48 ; 
   
/**
 * InternationalChain
 *
 */

   public static final int InternationalChain = 49 ; 
   
/**
 * InternationalLink
 *
 */

   public static final int InternationalLink = 50 ; 
   
/**
 * Degree
 *
 */

   public static final int Degree = 1001 ; 
   
/**
 * Grad
 *
 */

   public static final int Grad = 1002 ; 
   
/**
 * Grade
 *
 */

   public static final int Grade = 1003 ; 
   
/**
 * MapInfo
 *
 */

   public static final int MapInfo = 1004 ; 
   
/**
 * Mil
 *
 */

   public static final int Mil = 1005 ; 
   
/**
 * Minute
 *
 */

   public static final int Minute = 1006 ; 
   
/**
 * Radian
 *
 */

   public static final int Radian = 1007 ; 
   
/**
 * Second
 *
 */

   public static final int Second = 1008 ; 
   
/**
 * Decisec
 *
 */

   public static final int Decisec = 1009 ; 
   
/**
 * Centisec
 *
 */

   public static final int Centisec = 1010 ; 
   
/**
 * Millisec
 *
 */

   public static final int Millisec = 1011 ; 
   
/**
 * Unknown
 *
 */

   public static final int Unknown = 0 ; 
   
}

